package tda551;

import tda551.signal.Signal;

import javax.swing.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * Created by alex on 2016-12-01.
 */
public class SignalController extends JFrame implements ActionListener {

  private Signal signal;

  public SignalController(Signal signal) {
    this.signal = signal;

    JPanel panel = new JPanel();

    JButton increase = new JButton("++");
    increase.setActionCommand("++");
    increase.addActionListener(this);
    panel.add(increase);

    JButton decrease = new JButton("--");
    decrease.setActionCommand("--");
    decrease.addActionListener(this);
    panel.add(decrease);

    add(panel);
    pack();
    setVisible(true);
  }

  @Override
  public void actionPerformed(ActionEvent e) {
    if (e.getActionCommand().equals("++"))
      signal.speedUp();
    else
      signal.slowDown();
  }
}
